#!/bin/bash

#CONFIG FILE FOR PI/global mean scripts
#Paolo Davini (ISAC-CNR) - <p.davini@isac.cnr.it>
#December 2014

#Adapted for IC3 by François Massonnet (UCL/IC3) <francois.massonnet@ic3.cat>
#January 2015

# =========================================================
#Where the program is placed
PIDIR=/home/Earth/$USER/EC-Earth_Performance/ECmean/

# Info on run
STARTDATE=18500101 #FM: Start date of the run
DATADIR=/esnas/exp/ecearth/${exp}/$STARTDATE/${MEMBER}/outputs # FM Where are the outputs? Make sure you have the rights to work here
SAVEDIR=/esnas/scratch/$USER/REPRODUCIBILITY/${exp}/${STARTDATE}/${MEMBER} # Where to save the processed NetCDFs before the PI diagnostics are applied?

OUTDIR=/home/Earth/$USER/EC-Earth_Performance/ECmean/${exp}/${MEMBER} # Where to save the climatologies and PI scripts
CLIMDIR=/home/Earth/$USER/EC-Earth_Performance/ECmean/${exp}/${MEMBER}


# ==========================================================



NFRP=`grep NFRP /esnas/autosubmit/${exp}/conf/expdef_${exp}.conf | awk {'print $3'}` 
# The time frequency of output. Necessary to convert accumulated energy in fluxes

# Required programs, including compression options
cdo="/shared/earth/software/CDO/1.6.3-foss-2015a/bin/cdo"
cdozip="$cdo -f nc4c -z zip"
cdonc="$cdo -f nc"

#preferred type of CDO interpolation (curvilinear grids are obliged to use bilinear)
remap="remapcon2"

#mask files
#2x2 grids for interpolation are included in the Climate_netcdf folder (derived from IFS land sea mask)
#T255 masks (or theoretically different resolution) are used by ./global_mean.sh 
#and by ./post2x2.sh scripts. They are computed from the original initial conditions of IFS (using var 172)
#maskfile=/home/hpc/pr45de/di56bov/work/ecearth3/setup/ifs/T255L91/19900101/ICMGGECE3INIT
maskfile=/esnas/releases/models_extracted/ecearth/v3.1/inidata/ifs/T255L91/19900101/ICMGGECE3INIT

